curl --request GET \
--url https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/current/iteration_items \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/current/iteration_items"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/spending_plans/{spending_plan_guid}/iterations/current/iteration_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iteration_items": [
{
"actual_amount": 345,
"category_guid": "CAT-40faf068-abb4-405c-8f6a-e883ed541fff",
"created_at": "2016-10-13T18:08:00+00:00",
"guid": "SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262",
"item_type": "0",
"planned_amount": 345,
"scheduled_payment_guid": "SCP-54bed778-6600-4262-908c-8822f141cc30",
"spending_plan_iteration_guid": "SPI-848e6648-3fa3-4632-ac8f-e65f03167102",
"top_level_category_guid": "CAT-50af068-abb4-405c-8f6a-e883ed541f4f",
"transaction_guids": [
"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"
],
"updated_at": "2016-10-13T18:09:00.000Z",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List spending plan iteration items
iteration_items associated with the iteration.Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique ID for the spending_plan.
Response
OK
Hide child attributes
Hide child attributes
The sum of the transactions associated with the spending_plan_iteration_item.
345
The unique identifier for the category_guid associated with the spending_plan_iteration_item. Defined by MX.
"CAT-40faf068-abb4-405c-8f6a-e883ed541fff"
The date and time at which the spending_plan_iteration_item was created.
"2016-10-13T18:08:00+00:00"
The unique identifier for the spending_plan_iteration_item. Defined by MX.
"SPL-e5f9a5bd-c5b3-4901-bdc0-62119b9db262"
The type of transaction grouping for the spending_plan_iteration_item. 0 = RECURRING_EXPENSE, 1 = PLANNED_EXPENSE, 2 = OTHER_EXPENSE, 3 = INCOME.
"0"
The total amount planned for a spending_plan_iteration_item.
345
The unique identifier for the scheduled_payment_guid associated with the spending_plan_iteration_item. Defined by MX.
"SCP-54bed778-6600-4262-908c-8822f141cc30"
The unique identifier for the spending_plan_iteration_item. Defined by MX.
"SPI-848e6648-3fa3-4632-ac8f-e65f03167102"
The unique identifier for the top_level_category_guid associated with the spending_plan_iteration_item. Defined by MX.
"CAT-50af068-abb4-405c-8f6a-e883ed541f4f"
An array of transaction GUIDs that are relevant to the spending_plan_iteration_item. Defined by MX.
"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"
The date and time at which the spending_plan_iteration_item was most recently updated.
"2016-10-13T18:09:00.000Z"
The unique identifier for the user to which the spending_plan_iteration_item belongs. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

